GraphChi 0.1

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Macros
Public Member Functions | Protected Member Functions
graphchi::functional_engine< VertexDataType, EdgeDataType, fvertex_t > Class Template Reference
Inheritance diagram for graphchi::functional_engine< VertexDataType, EdgeDataType, fvertex_t >:

List of all members.

## Public Member Functions
| functional_engine (std::string base_filename, int nshards, bool selective_scheduling, metrics &_m)
Public Member Functions inherited from graphchi::graphchi_engine< VertexDataType, EdgeDataType, fvertex_t >
| graphchi_engine (std::string _base_filename, int _nshards, bool _selective_scheduling, metrics &_m)
virtual std::pair< vid_t, vid_t > | get_interval (int i)
vid_t | get_interval_start (int i)
vid_t | get_interval_end (int i)
virtual size_t | num_vertices ()
graphchi_context & | get_context ()
size_t | num_updates ()
virtual size_t | num_edges_safe ()
virtual size_t | num_buffered_edges ()
virtual size_t | num_edges ()
bool | is_any_vertex_scheduled (vid_t st, vid_t en)
virtual void | initialize_iter ()
virtual void | initialize_before_run ()
virtual memshard_t * | create_memshard (vid_t interval_st, vid_t interval_en)
void | run (GraphChiProgram< VertexDataType, EdgeDataType, fvertex_t > &userprogram, int _niters)
virtual void | iteration_finished ()
stripedio * | get_iomanager ()
virtual void | set_modifies_inedges (bool b)
virtual void | set_modifies_outedges (bool b)
virtual void | set_only_adjacency (bool b)
void | set_blocksize (size_t blocksize_in_bytes)
void | set_membudget_mb (int mbs)
void | set_load_threads (int lt)
void | set_exec_threads (int et)
void | set_enable_deterministic_parallelism (bool b)
void | set_json (std::string key, std::string value)
void | set_json (std::string key, T val)
std::string | get_info_json ()

## Protected Member Functions
virtual void | load_before_updates (std::vector< fvertex_t > &vertices)
virtual void | init_vertices (std::vector< fvertex_t > &vertices, graphchi_edge< EdgeDataType > *&edata)
virtual void | load_after_updates (std::vector< fvertex_t > &vertices)
Protected Member Functions inherited from graphchi::graphchi_engine< VertexDataType, EdgeDataType, fvertex_t >
void | print_config ()
virtual degree_data * | create_degree_handler ()
virtual bool | disable_preloading ()
int | discover_shard_num ()
virtual void | initialize_sliding_shards ()
virtual void | initialize_scheduler ()
virtual vid_t | determine_next_window (vid_t iinterval, vid_t fromvid, vid_t maxvid, size_t membudget)
size_t | num_edges_subinterval (vid_t st, vid_t en)
void | exec_updates (GraphChiProgram< VertexDataType, EdgeDataType, fvertex_t > &userprogram, std::vector< fvertex_t > &vertices)
void | save_vertices (std::vector< fvertex_t > &vertices)
virtual void | write_delta_log ()
virtual void | load_vertex_intervals ()

## Additional Inherited Members
Public Types inherited from graphchi::graphchi_engine< VertexDataType, EdgeDataType, fvertex_t >
typedef sliding_shard < VertexDataType, EdgeDataType, fvertex_t > | slidingshard_t
typedef memory_shard < VertexDataType, EdgeDataType, fvertex_t > | memshard_t
Protected Attributes inherited from graphchi::graphchi_engine< VertexDataType, EdgeDataType, fvertex_t >
std::string | base_filename
int | nshards
stripedio * | iomgr
std::vector< slidingshard_t * > | sliding_shards
memshard_t * | memoryshard
std::vector< std::pair< vid_t, vid_t > > | intervals
degree_data * | degree_handler
vertex_data_store < VertexDataType > * | vertex_data_handler
graphchi_context | chicontext
bitset_scheduler * | scheduler
bool | modifies_outedges
bool | modifies_inedges
bool | only_adjacency
bool | use_selective_scheduling
bool | enable_deterministic_parallelism
bool | store_inedges
size_t | blocksize
int | membudget_mb
int | load_threads
int | exec_threads
vid_t | sub_interval_st
vid_t | sub_interval_en
int | iter
int | niters
int | exec_interval
size_t | nupdates
size_t | nedges
size_t | work
metrics & | m
mutex | httplock
std::map< std::string, std::string > | json_params

The documentation for this class was generated from the following file:

- src/engine/functional/functional_engine.hpp